Subject: bug#51550: 29.0.50; Customize Group INS buttons sometimes don't have a left box line

From: Eli Zaretskii <[email-masked]>
Date: Mon, 01 Nov 2021 21:38:51 +0200

> From: Stephen Berman <[email-masked]>
> Cc: Po Lu <[email-masked]>,  [email-masked]
> Date: Mon, 01 Nov 2021 20:28:40 +0100
> 
> >> Run emacs -Q.  Do M-x customize-group RET files RET, expand "After Save
> >> Hook", then click "INS" twice.  The second INS button will not have a
> >> left box line, which is visually inconsistent with the first, and with
> >> how buttons work in general across all X-Windows applications.
> >
> > I cannot reproduce this.  Maybe this is specific to GTK?
> 
> I see this on a no-toolkit build as well as a Gtk build.  For me, it
> suffices to click "INS" once, see attached screenshot.

According to this screenshot, the problematic button is the first one,
because on my system the first one doesn't have the left and the top
border lines, and neither do all the rest.

I see that xterm does something special in x_draw_relief_rect when the
line width is exactly 1 pixel, and w32term.c doesn't do that.  maybe
that's the problem.